/*
@Time : 2020/9/9 15:11
@Author : xuhanlin
@File : Main.go
@Description : 导出客户端离线数据
*/

package main

import (
	scheme "Server-Core/Server/Scheme"
	"os"
)

func main() {
	os.Chdir("/data/work/Server-Core/Bin/GameServer")
	scheme.Create()
	os.Chdir("/data/work/Server-Core/Tools/offlineData")

	// 玩家数据
	/*gameDataNotify := &message.GameDataNotify{TalentData: &message.TalentData{}, MiscData: &message.MiscData{}, ShopData: &message.ShopData{}}

	// 基础数据
	gameDataNotify.BaseData = &message.BaseData{}
	gameDataNotify.BaseData.PlayerId = uint32(0)
	gameDataNotify.BaseData.NickName = "老五请奈雪"
	gameDataNotify.BaseData.Level = 1

	//道具数据
	levelScp := scheme.GetSchemeById(scheme.ID_Level).(*scheme.Level)
	levelItem, _ := levelScp.Get(int32(1))
	gameDataNotify.ItemList = append(gameDataNotify.ItemList, &message.ItemData{Id: item.CurrencyIDHP, Num: uint32(levelItem.(*scheme.LevelItem).MaxEnergy)})

	rData, _ = proto.Marshal(gameDataNotify)
	ioutil.WriteFile("gameData.bytes", rData, os.FileMode(0777))*/
}
